Unity 2021.3.34.Failed to update Android SDK package list error when using SDK installed with unity.

I have this error "Failed to update Android SDK package list error when using SDK installed with unity." since I updated Unity version to the 2021.3.34.
Can't build for Android level bigger than Level 30.
Tried workarounds like uncheck everything in Preferences, exit, load again and check everything, it doesn't work.
What should I do to fix this?

Fixed it by copying all the sdk tools to the separate folders on the disk C.
Like was told here: Failed to update Android SDK package list
But still think that the issue with the whitespaces caused by the Unity itself.

1 Like